Package org.wso2.carbon.proxyadmin.stub.types.carbon

# Class Entry

java.lang.Object
org.wso2.carbon.proxyadmin.stub.types.carbon.Entry

All Implemented Interfaces:
  `Serializable`, `org.apache.axis2.databinding.ADBBean`

public class Entry extends Object implements org.apache.axis2.databinding.ADBBean
Entry bean class

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Entry.Factory`
  Factory class that keeps the parse method

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `localKey`
  field for Key
  `protected boolean`
  `localKeyTracker`
  `protected String`
  `localValue`
  field for Value
  `protected boolean`
  `localValueTracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entry()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  Auto generated getter method
  `org.apache.axiom.om.OMElement`
  `getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory)`
  `XMLStreamReader`
  `getPullParser(QName qName)`
  databinding method to get an XML representation of this object
  `String`
  `getValue()`
  Auto generated getter method
  `boolean`
  `isKeySpecified()`
  `boolean`
  `isValueSpecified()`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter)`
  `void`
  `serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType)`
  `void`
  `setKey(String param)`
  Auto generated setter method
  `void`
  `setValue(String param)`
  Auto generated setter method

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### localKey

    protected String localKey
    field for Key

  - ### localKeyTracker

    protected boolean localKeyTracker

  - ### localValue

    protected String localValue
    field for Value

  - ### localValueTracker

    protected boolean localValueTracker

- ## Constructor Details

  - ### Entry

    public Entry()

- ## Method Details

  - ### isKeySpecified

    public boolean isKeySpecified()

  - ### getKey

    public String getKey()
    Auto generated getter method
    Returns:
      java.lang.String

  - ### setKey

    public void setKey(String param)
    Auto generated setter method
    Parameters:
      `param` - Key

  - ### isValueSpecified

    public boolean isValueSpecified()

  - ### getValue

    public String getValue()
    Auto generated getter method
    Returns:
      java.lang.String

  - ### setValue

    public void setValue(String param)
    Auto generated setter method
    Parameters:
      `param` - Value

  - ### getOMElement

    public org.apache.axiom.om.OMElement getOMElement(QName parentQName, org.apache.axiom.om.OMFactory factory) throws org.apache.axis2.databinding.ADBException
    Specified by:
      `getOMElement` in interface `org.apache.axis2.databinding.ADBBean`
    Parameters:
      `parentQName` -
      `factory` -
    Returns:
      org.apache.axiom.om.OMElement
    Throws:
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### serialize

    public void serialize(QName parentQName, XMLStreamWriter xmlWriter, boolean serializeType) throws XMLStreamException, org.apache.axis2.databinding.ADBException
    Specified by:
      `serialize` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `XMLStreamException`
      `org.apache.axis2.databinding.ADBException`

  - ### getPullParser

    public XMLStreamReader getPullParser(QName qName) throws org.apache.axis2.databinding.ADBException
    databinding method to get an XML representation of this object
    Specified by:
      `getPullParser` in interface `org.apache.axis2.databinding.ADBBean`
    Throws:
      `org.apache.axis2.databinding.ADBException`